Package org.apache.calcite.avatica

## Class MetaImpl.MetaPseudoColumn

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.MetaPseudoColumn

Enclosing class:
  MetaImpl

    public static class MetaImpl.MetaPseudoColumn
    extends java.lang.Object

Metadata describing a pseudo column.

### Field Summary

Fields
`java.lang.Integer` `charOctetLength`
`java.lang.String` `columnName`
`java.lang.Integer` `columnSize`
`java.lang.String` `columnUsage`
`int` `dataType`
`java.lang.Integer` `decimalDigits`
`java.lang.String` `isNullable`
`java.lang.Integer` `numPrecRadix`
`java.lang.String` `remarks`
`java.lang.String` `tableCat`
`java.lang.String` `tableName`
`java.lang.String` `tableSchem`

### Constructor Summary

Constructors
`MetaPseudoColumn​(java.lang.String tableCat, java.lang.String tableSchem, java.lang.String tableName, java.lang.String columnName, int dataType, java.lang.Integer columnSize, java.lang.Integer decimalDigits, java.lang.Integer numPrecRadix, java.lang.String columnUsage, java.lang.Integer charOctetLength, java.lang.String isNullable)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tableCat

    public final java.lang.String tableCat

#### tableSchem

    public final java.lang.String tableSchem

#### tableName

    public final java.lang.String tableName

#### columnName

    public final java.lang.String columnName

#### dataType

    public final int dataType

#### columnSize

    public final java.lang.Integer columnSize

#### decimalDigits

    public final java.lang.Integer decimalDigits

#### numPrecRadix

    public final java.lang.Integer numPrecRadix

#### columnUsage

    public final java.lang.String columnUsage

#### remarks

    public final java.lang.String remarks

#### charOctetLength

    public final java.lang.Integer charOctetLength

#### isNullable

    public final java.lang.String isNullable

### Constructor Detail

#### MetaPseudoColumn

    public MetaPseudoColumn​(java.lang.String tableCat,
                            java.lang.String tableSchem,
                            java.lang.String tableName,
                            java.lang.String columnName,
                            int dataType,
                            java.lang.Integer columnSize,
                            java.lang.Integer decimalDigits,
                            java.lang.Integer numPrecRadix,
                            java.lang.String columnUsage,
                            java.lang.Integer charOctetLength,
                            java.lang.String isNullable)